#!/usr/bin/env python
import inspect
#from property import *
from public import *

@public
def isobject(object):
    if not object: return
    if not hasattr(object, '__dict__'):
        return False
    if inspect.isroutine(object): return False
    if inspect.isclass(object): return False # if type(object) == types.TypeType:
    return True


if __name__=="__main__":
    class CLS(object): pass
    print(isobject(CLS)) # False
    print(isobject(CLS())) # True
    print(isobject(2)) # False
    print(isobject(None)) # None

